Export the catalog
You can export the full catalog in CSV (Comma-Separated Values) format. This file contains all the products and prices available on the Numspot platform.
Permissions
info
No IAM (Identity and Access Management) permission is required to perform this action.
- Console
- API
- Terraform
- From the left-hand side menu, go to Catalog.
- Click Export in the top right of the page.
- Select the desired filters (domain, type, region).
- Click Download to obtain the CSV file.
Endpoint: GET /catalogue/export/csv
Query parameters
| Field | Type | Required | Description |
|---|---|---|---|
domain | string | No | Domain of the products to filter: compute, connectivity, kubernetes, objectstorage, postgresql, registry, secrets |
kind | string | No | Resource type to filter (e.g. virtual-machine, node, gpu, cluster) |
regionCode | string | No | Region code: eu-west-2 or cloudgouv-eu-west-1 |
Response
The CSV file contains the following columns for each product:
- Identifiers: uuid,
productCode,sku; - Attributes:
domain,kind,label,currentGeneration,releaseStage,certifications,licenseModel,deploymentOption; - Resources:
family,generation, vCPU (virtual Central Processing Unit),memoryGiB,gpuType,gpuQuantity,gpuMemoryGB,model,vramGB; - Pricing:
amount,currency,frequency,unit,effectiveDateBegin,effectiveDateEnd; - Region:
regionCode.
Example file name
numspot-catalogue-2025-01-01.csv
Exporting the catalog via Terraform is not available. Use the console or the API to export the catalog in CSV format.